Analytics · Inbox Analytics

Get inbox messaging volume

Fetches an inbox messaging volume.

GEThttps://api.pozy.ai/v1/analytics/inbox/volume
getInboxVolume

Guide: Inbox analytics

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the analytics resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
fromDaterequiredstring (date)
toDatestring (date)
profileIdstring
platformstring
accountIdstring
sourcestring

Example

curl -X GET "https://api.pozy.ai/v1/analytics/inbox/volume?fromDate=2026-10-01" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • successboolean
  • fromstring (date)
  • tostring (date)

    Can be null.

  • summaryobject
    • receivedinteger
    • sentinteger
    • readinteger
    • failedinteger
    • uniqueConversationsinteger
  • timeseriesarray of object
    • datestring (date)
    • sentinteger
    • receivedinteger
    • readinteger
    • failedinteger
  • byPlatformarray of object
    • platformstring
    • sentinteger
    • receivedinteger
    • readinteger
    • failedinteger
200 response
{
  "success": true,
  "from": "2026-10-01",
  "to": "2026-10-01",
  "summary": {
    "received": 1,
    "sent": 1,
    "read": 1,
    "failed": 1,
    "uniqueConversations": 1
  },
  "timeseries": [
    {
      "date": "2026-10-02T09:00:00.000Z",
      "sent": 1,
      "received": 1,
      "read": 1,
      "failed": 1
    }
  ],
  "byPlatform": [
    {
      "platform": "instagram",
      "sent": 1,
      "received": 1,
      "read": 1,
      "failed": 1
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Inbox Analytics